/* RSDP structure */
.byte 'R','S','D',' ','P','T','R',' ' /* signature */
.byte 0x47                            /* checksum */
.byte 'Q','E','M','U',' ',' '         /* OEM id */
.byte 0x00                            /* revision */
.byte 0x14, 0x00, 0x0E, 0x00          /* address of RSDT */

/* RSDT */
.byte 'R','S','D','T'                 /* signature */
.byte 0x28, 0x00, 0x00, 0x00          /* length */
.byte 0x01                            /* revision */
.byte 0x22                            /* checksum */
.byte 'Q','E','M','U',' ',' '         /* OEM id */
.byte 0x00, 0x00, 0x00, 0x00
.byte 0x00, 0x00, 0x00, 0x00          /* OEM table id */
.byte 0x00, 0x00, 0x00, 0x00          /* OEM table revision */
.byte 0x00, 0x00, 0x00, 0x00          /* creator id */
.byte 0x00, 0x00, 0x00, 0x00          /* creator revision */    
.byte 0x3C, 0x00, 0x0E, 0x00          /* address of APIC table */

/* APIC */
.byte 'A','P','I','C'                 /* signature */
.byte 0x34, 0x00, 0x00, 0x00          /* length */
.byte 0x01                            /* revision */
.byte 0x36                            /* checksum */
.byte 'Q','E','M','U',' ',' '         /* OEM id */
.byte 0x00, 0x00, 0x00, 0x00
.byte 0x00, 0x00, 0x00, 0x00          /* OEM table id */
.byte 0x00, 0x00, 0x00, 0x00          /* OEM table revision */
.byte 0x00, 0x00, 0x00, 0x00          /* creator id */
.byte 0x00, 0x00, 0x00, 0x00          /* creator revision */
.byte 0x00, 0x00, 0xe0, 0xfe          /* local APIC address */
.byte 0x00, 0x00, 0x00, 0x00          /* flags */
/* Local APIC */
.byte 0x00                            /* type */
.byte 0x08                            /* length */
.byte 0x00                            /* processor id */
.byte 0x00                            /* APIC id */
.byte 0x01, 0x00, 0x00, 0x00          /* flags */
